[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCanOffsetEvent

Specifies an event handler signalled to determine if the given offset is valid for a splitter control.

## Declaration

Source position: extctrls.pp line 357

`type TCanOffsetEvent = procedure(`
`Sender: TObject;`
`var NewOffset: Integer;`
`var Accept: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`NewOffset` |  | Offset value examined in the routine.
`Accept` |  | True if the offset value is valid.

## Description

TCanOffsetEvent is the type used to implement the OnCanOffset property in TCustomSplitter. It is signalled from the CheckOffset method when the splitter is moved.

## See also

TCustomSplitter.OnCanOffset |  | Event handler signalled to calculate the offset when the splitter is dragged, and to accept or reject the offset value.
TCustomSplitter.CheckOffset |  | Signals the OnCanOffset event handler to determine the offset used when aligning the control, and the success or failure of the calculation.
TCustomSplitter.MoveSplitter |  | Moves the splitter by an amount specified in Offset.